# Ponk resource pack 🌸

## Screenshots

<img src="assets/creative-inventory.png" height=300 /> <img src="assets/survival-inventory.png" height=300 />

## Download

This pack targets Minecraft **1.19.4**, but since it doesn't use any of Minecraft's advanced features it should work with pretty much any other version as well. (If it doesn't, let me know!)

You can grab the latest **ponk.zip** [from the **Releases** tab](https://git.amogus.cloud/Lea/ponk/releases/latest)!
If you plan on using this on a server, also set `resource-pack-sha1` in your `server.properties` to the content of `ponk.zip.sha1`.

## Contributing

If you want to contribute a change, you are more than welcome to do so via pull requests!

### Guidelines

There is a colour scheme bundled in this repository, `Colour palette.html`. Please use these colours whenever possible. It's okay to alter them slightly if you must (for example, when texturing something that needs many variations), but the resulting colours should still look similar enough to the colour scheme.

For texturing, it's best to use a program optimised for pixel art like LibreSprite (or Aseprite). Use whatever works best for you!

### Workflow

There is a script that simplifies the development workflow. Simply pass the path to your game's resource pack directory to it:

```bash
./scripts/development.sh /home/lea/.../resourcepacks/
```

It will copy the `pack` directory to it, and update it every time something changes. After making a change, simply hit **F3+T** to tell Minecraft to reload! \
(You will need to enable the pack first, of course.)

### Extracting the original textures from Minecraft

Since all textures are variants of the game's original textures, you most likely need those first.

Install Minecraft 1.19.4 through Prism Launcher and launch it at least once. \
You should now be able to find `minecraft-1.19.4-client.jar` somewhere in the launcher's data directory - Prism Launcher most likely stores it at `~/.local/share/PrismLauncher/libraries/com/mojang/minecraft/1.19.4/`.

Extract this jar file like any other zip archive. The game's assets can be found at `minecraft-1.19.4-client/assets/minecraft`.
